NMSettings
3
LIBNM-GLIB Library

# NMSettings

## Synopsis

    enum                NMSettingsError;
    #define             NM_SETTINGS_ERROR
    GQuark              nm_settings_error_quark             (void);
    #define             NM_EXPORTED_CONNECTION_CONNECTION
    #define             NM_EXPORTED_CONNECTION_DBUS_METHOD_INVOCATION
                        NMExportedConnection;
    NMExportedConnection* nm_exported_connection_new        (NMConnection *wrapped);
    void                nm_exported_connection_register_object
                                                            (NMExportedConnection *connection,
                                                             NMConnectionScope scope,
                                                             DBusGConnection *dbus_connection);
    NMConnection*       nm_exported_connection_get_connection
                                                            (NMExportedConnection *connection);
    gboolean            nm_exported_connection_update       (NMExportedConnection *connection,
                                                             GHashTable *new_settings,
                                                             GError **err);
    gboolean            nm_exported_connection_delete       (NMExportedConnection *connection,
                                                             GError **err);
    void                nm_exported_connection_signal_updated
                                                            (NMExportedConnection *connection,
                                                             GHashTable *new_settings);
    void                nm_exported_connection_signal_removed
                                                            (NMExportedConnection *connection);
    #define             NM_TYPE_SETTINGS
    #define             NM_SETTINGS                         (obj)
    #define             NM_SETTINGS_CLASS                   (klass)
    #define             NM_IS_SETTINGS                      (obj)
    #define             NM_IS_SETTINGS_CLASS                (klass)
    #define             NM_SETTINGS_GET_CLASS               (obj)
                        NMSettings;
    GType               nm_settings_get_type                (void);
    GSList*             nm_settings_list_connections        (NMSettings *settings);
    void                nm_settings_signal_new_connection   (NMSettings *settings,
                                                             NMExportedConnection *connection);

## Description

## Details

### enum NMSettingsError

    typedef enum
    {
    	NM_SETTINGS_ERROR_INVALID_CONNECTION = 0,
    	NM_SETTINGS_ERROR_READ_ONLY_CONNECTION,
    	NM_SETTINGS_ERROR_INTERNAL_ERROR,
    	NM_SETTINGS_ERROR_SECRETS_UNAVAILABLE,
    	NM_SETTINGS_ERROR_SECRETS_REQUEST_CANCELED
    } NMSettingsError;

### NM_SETTINGS_ERROR

    #define NM_SETTINGS_ERROR (nm_settings_error_quark ())

### nm_settings_error_quark ()

    GQuark              nm_settings_error_quark             (void);

Setting error quark.

Returns :

  the setting error quark

### NM_EXPORTED_CONNECTION_CONNECTION

    #define NM_EXPORTED_CONNECTION_CONNECTION "connection"

### NM_EXPORTED_CONNECTION_DBUS_METHOD_INVOCATION

    #define NM_EXPORTED_CONNECTION_DBUS_METHOD_INVOCATION "nm-exported-connection-dbus-method-invocation"

### NMExportedConnection

    typedef struct {
    	GObject parent;
    } NMExportedConnection;

### nm_exported_connection_new ()

    NMExportedConnection* nm_exported_connection_new        (NMConnection *wrapped);

`wrapped` :

Returns :

### nm_exported_connection_register_object ()

    void                nm_exported_connection_register_object
                                                            (NMExportedConnection *connection,
                                                             NMConnectionScope scope,
                                                             DBusGConnection *dbus_connection);

`connection` :

`scope` :

`dbus_connection` :

### nm_exported_connection_get_connection ()

    NMConnection*       nm_exported_connection_get_connection
                                                            (NMExportedConnection *connection);

`connection` :

Returns :

### nm_exported_connection_update ()

    gboolean            nm_exported_connection_update       (NMExportedConnection *connection,
                                                             GHashTable *new_settings,
                                                             GError **err);

`connection` :

`new_settings` :

`err` :

Returns :

### nm_exported_connection_delete ()

    gboolean            nm_exported_connection_delete       (NMExportedConnection *connection,
                                                             GError **err);

`connection` :

`err` :

Returns :

### nm_exported_connection_signal_updated ()

    void                nm_exported_connection_signal_updated
                                                            (NMExportedConnection *connection,
                                                             GHashTable *new_settings);

`connection` :

`new_settings` :

### nm_exported_connection_signal_removed ()

    void                nm_exported_connection_signal_removed
                                                            (NMExportedConnection *connection);

`connection` :

### NM_TYPE_SETTINGS

    #define NM_TYPE_SETTINGS            (nm_settings_get_type ())

### NM_SETTINGS()

    #define NM_SETTINGS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), NM_TYPE_SETTINGS, NMSettings))

`obj` :

### NM_SETTINGS_CLASS()

    #define NM_SETTINGS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), NM_TYPE_SETTINGS, NMSettingsClass))

`klass` :

### NM_IS_SETTINGS()

    #define NM_IS_SETTINGS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NM_TYPE_SETTINGS))

`obj` :

### NM_IS_SETTINGS_CLASS()

    #define NM_IS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), NM_TYPE_SETTINGS))

`klass` :

### NM_SETTINGS_GET_CLASS()

    #define NM_SETTINGS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), NM_TYPE_SETTINGS, NMSettingsClass))

`obj` :

### NMSettings

    typedef struct {
    	GObject parent;
    } NMSettings;

### nm_settings_get_type ()

    GType               nm_settings_get_type                (void);

Returns :

### nm_settings_list_connections ()

    GSList*             nm_settings_list_connections        (NMSettings *settings);

Lists all the available connections.

`settings` :

Returns :

  the GSList containing NMExportedConnections

### nm_settings_signal_new_connection ()

    void                nm_settings_signal_new_connection   (NMSettings *settings,
                                                             NMExportedConnection *connection);

`settings` :

`connection` :